Base Distribution - Feature # 13534

Status: Resolved Priority: Must have

Author: Rens Admiraal Category:

Created: 2011-03-02 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-28 Due date:

Subject: Links in continuous texts and a separate "link" field

Description

Linking to external and internal URLs must be supported in Aloha.

Associated revisions

Revision ce8a6f0f - 2012-04-02 18:06 - Sebastian Kurfuerst
[FEATURE] Link support for content editing in Aloha

Adds a link button to the Aloha palette and complements

it with a (simple) search for pages. This way typing (part)

of a page title or node path brings up an auto-completion

list to select from.

Resolves: #13534

Change-Id: Ifc2cf3150000bfed1094b86654 15e48fb186163b

History

#1 - 2011-03-02 16:17 - Rens Admiraal
- Parent task changed from #13528 to #8786

#2 - 2011-11-07 10:51 - Sebastian Kurfuerst

- Tracker changed from Task to Major Feature

- Subject changed from Nice to have: internal links content element / internal links in Aloha to internal links in continuous texts and a separate "link"
field

- Priority changed from Should have to Must have

- Target version deleted (Sprint 7)

- Parent task deleted (#8786)

#3 - 2011-11-23 14:20 - Sebastian Kurfuerst

- Priority changed from Must have to Won't have this time

We'll postprone this to next year.

#4 - 2012-03-05 07:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9372

#5 - 2012-03-05 07:33 - Sebastian Kurfuerst
http://review.typo3.org/9372

- Status changed from New to Accepted

- Assigned To set to Sebastian Kurfuerst

- Priority changed from Won't have this time to Must have
- % Done changed from 0 to 100

#6 - 2012-03-05 07:34 - Sebastian Kurfuerst

https://review.typo3.org/#/q/topic:13534,n,z

#7 - 2012-03-05 07:34 - Sebastian Kurfuerst

- Status changed from Accepted to Under Review

#8 - 2012-03-05 14:20 - Karsten Dambekalns

- Subject changed from internal links in continuous texts and a separate "link" field to Links in continuous texts and a separate "link" field

#9 - 2012-03-05 14:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9372

#10 - 2012-04-02 18:17 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9372

#11 - 2012-04-03 02:37 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:ce8a6f0f88f68a1a649b06fc302f5f6691558a00.

#12 - 2012-08-28 11:41 - Robert Lemke

- Tracker changed from Major Feature to Feature
